
@import url("/style/fonts/circular-std-book/style.css");

html, body {
	font-family: 'Circular Std Book', -apple-system, BlinkMacSystemFont, Roboto, "Helvetica Neue", sans-serif !important;
	font-size: 1rem;
}

/* .navbar,
span,
a,
#spinnerPercentage,
.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6,
.btn {
	font-family: 'Poppins', sans-serif !important;
} */

@include media-breakpoint-up(sm) {
	html {
		font-size: 1.2rem;
	}
}

@include media-breakpoint-up(md) {
	html {
		font-size: 1.4rem;
	}
}

@include media-breakpoint-up(lg) {
	html {
		font-size: 1.6rem;
	}
}


/* hack */
ul {
	list-style-type: none;
}


:focus {
    outline: none; /* Previene l'outline */
}

body {
  background: #f5f5f5;
  color: #495057
}

label {
  font-weight: 500;
}

nav {
	background-color: inherit !important;
	box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.05);
}

/* Colors (green)
--------------------------------------------------------------------*/

a,
.btn-outline-primary,
.btn-outline-primary.disabled, .btn-outline-primary:disabled,
.btn-link,
.page-link {
  color: #2CB469;
}
a.taverne,
.btn-outline-primary.taverne,
.btn-outline-primary.disabled.taverne, .btn-outline-primary.taverne:disabled,
.btn-link.taverne,
.page-link.taverne {
  color: #795548;
}

.page-link {
	border-color: rgb(222, 226, 230) !important;
}
.page-link.taverne {
	border-color: rgb(222, 226, 230) !important;
}

.btn-outline-primary,
.btn-outline-primary:hover {
	border-color: #2CB469;
}
.btn-outline-primary.taverne,
.btn-outline-taverne {
	border-color: #795548;
}
.btn-outline-primary.taverne:hover,
.btn-outline-taverne:hover {
	color: white !important;
}

.text-primary {
  color: #2CB469 !important;
}
.text-primary.taverne {
	color: #795548 !important;
}
  
.bg-primary {
	background-color: #2CB469 !important;
}
.bg-primary.taverne {
	background-color: #795548 !important;
}
a:hover {
  text-decoration: none;
}
.btn-primary,
.btn-primary.disabled, .btn-primary:disabled,
.btn-outline-primary:hover,
.btn-outline-primary:not([disabled]):not(.disabled):active,
.btn-outline-primary:not([disabled]):not(.disabled).active,
.show > .btn-outline-primary.dropdown-toggle,
.dropdown-item.active,
.dropdown-item:active,
.nav-pills .nav-link.active,
.nav-pills .show > .nav-link,
.page-item.active .page-link,
.badge-primary,
.progress-bar,
.list-group-item.active,
.bg-giardini {
  background-color: #2CB469;
}

.btn-primary.taverne,
.btn-primary.disabled.taverne, .btn-primary:disabled.taverne,
.btn-outline-primary.taverne:hover,
.btn-outline-primary.taverne:not([disabled]):not(.disabled):active,
.btn-outline-primary.taverne:not([disabled]):not(.disabled).active,
.show > .btn-outline-primary.dropdown-toggle.taverne,
.dropdown-item.active.taverne,
.dropdown-item.taverne:active,
.nav-pills .nav-link.active.taverne,
.nav-pills .show > .nav-link.taverne,
.page-item.active .page-link.taverne,
.badge-primary.taverne,
.progress-bar.taverne,
.list-group-item.active.taverne,
.bg-taverne {
  background-color: #795548;
}


.nav-link.active {
	color: #2CB469 !important;
}
.nav-link.taverne.active {
	color: #795548 !important;
}

a:hover,
.page-link:focus,
.page-link:hover,
.btn-link:hover {
  color: #259959;
}
a.taverne:not(.dropdown-item):hover,
.page-link.taverne:focus,
.page-link.taverne:hover,
.btn-link.taverne:hover {
  color: #5f4238;
}

.btn-primary:hover {
  border-color: #228F53;
}

.btn-primary:hover {
  background-color: #259959;
  border-color: #228F53;
}

.btn-primary:not([disabled]):not(.disabled):active,
.btn-primary:not([disabled]):not(.disabled).active,
.show > .btn-primary.dropdown-toggle {
  border-color: #005cbf;
}

.btn-primary:not([disabled]):not(.disabled):active,
.btn-primary:not([disabled]):not(.disabled).active,
.badge-primary[href]:focus, .badge-primary[href]:hover {
  background-color: #228F53;
}

.text-warning {
	color: #e69900 !important;
}

.error {
	color: #dc3545;
}

/* Typography
--------------------------------------------------------------------*/

html { font-size: 16px; }

@media (min-width:768px){
	html { font-size: 16px; }
}
@media (min-width:992px){
	html { font-size: 17px; }
}
@media (min-width:1200px){
	html { font-size: 18px; }
}

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
  font-weight: 600;
}
h1, .h1 {
	font-weight: 700;
}


/* Sections
--------------------------------------------------------------------*/

section {
  padding-top: 3rem;
  padding-bottom: 3rem;
}
main {
  padding-top: 1rem;
  padding-bottom: 3rem;
}
@media (min-width:992px){
  section, main {
    padding-top: 3.5rem;
    padding-bottom: 3.5rem;
  }
}
@media (min-width:1200px){
  section, main {
    padding-top: 4rem;
    padding-bottom: 4rem;
  }
}

.alternate {
  background: #f0f0f2;
}

#header {
  background: #fff;
  position: relative;
  box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.05);
}

#pre-footer {
	line-height: 1.75;
}
@media (min-width:768px){
	#pre-footer {
		font-size: 0.9rem;
	}
}

#pre-footer a {
	color:#fff !important;
	padding:0.25rem 0;
}

#footer {
	background-color: #259959;
	color: rgba(255,255,255,0.5);
	font-size: 0.9rem;
}
#footer.taverne {
	background-color: #5f4238;
}

.navbar-brand {
  font-weight: bold;
  color: #2CB469 !important;
}

.card-header {
	font-weight: 500;
}

.card--link {
  cursor: pointer;
}
.card-img-top {
  position: relative;
  background:#eee;
}
.card-img-top:before {
  content: "";
  display: block;
  position: absolute;
  width:100%;
  height: 100%;
  background-image: url('data:image/svg+xml;base64,PHN2ZyBmaWxsPSIjZGRkZGRkIiBoZWlnaHQ9IjI0IiB2aWV3Qm94PSIwIDAgMjQgMjQiIHdpZHRoPSIyNCIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KICAgIDxwYXRoIGQ9Ik0wIDBoMjR2MjRIMHoiIGZpbGw9Im5vbmUiLz4KICAgIDxwYXRoIGQ9Ik0yMSAxOVY1YzAtMS4xLS45LTItMi0ySDVjLTEuMSAwLTIgLjktMiAydjE0YzAgMS4xLjkgMiAyIDJoMTRjMS4xIDAgMi0uOSAyLTJ6TTguNSAxMy41bDIuNSAzLjAxTDE0LjUgMTJsNC41IDZINWwzLjUtNC41eiIvPgo8L3N2Zz4K');
  background-repeat: no-repeat;
  background-size: 100px auto;
  background-position: center center;
}
.card-img-top > div {
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
}


/* Buttons
--------------------------------------------------------------------*/

.btn {
  font-weight: 500;
}
.btn-default, .btn-primary, .btn-danger, .btn-info, .btn-secondary {
  border:0;
}

.btn-facebook,
.btn-google {
	display: block;
	position: relative;
	padding: 0.875rem 0.5rem;
	margin-bottom: 1rem;
	font-weight: 600;
	font-size: 1.2rem;
	line-height: 1rem;
	-moz-border-radius: 6px;
	-webkit-border-radius: 6px;
	border-radius: 6px;
}
.btn-facebook .fa,
.btn-google .fa {
	position: absolute;
	left:1rem;
	top:0.75rem;
	font-size: 1.5rem;
}

.btn-facebook {
	background: #4568b2 !important;
	color: #fff !important;
}
.btn-google {
	background: #DD4B39 !important;
	color: #fff !important;
}

.btn-lg {
  font-size: 1.125rem;
  padding: 0.625rem 1.5rem;
  font-weight: 600;
  letter-spacing: 0.1rem;
}

.alert--main {
	border-radius: 0;
	margin:0;
}


/* Forms
--------------------------------------------------------------------*/

label, button {
	cursor: pointer;
}
fieldset {
	border-top: 1px solid #ccc;
	padding-top: 1rem;
}
legend {
	font-size: 14px;
	text-transform: uppercase;
	color: #888;
	display: inline-block;
	width: auto;
	background: #fff;
	margin: 0 auto;
	text-align: center;
	padding: 0 0.5rem;
}

.collapsible {
	display: block;
	max-height: 100%;
	overflow: hidden;
}
.collapsible.closed {
	max-height: 0;
	overflow: hidden;
	margin:0 !important;
}


/* Jumbotron
--------------------------------------------------------------------*/

.jumbotron {
	display: block;
	position: relative;
	background-color: #333;
	background-size: cover;
  background-repeat: no-repeat;
	-moz-border-radius: 0;
	-webkit-border-radius: 0;
	border-radius: 0;
	padding: 4rem 0 3rem;
}
.jumbotron-heading,
.jumbotron-text {
	text-shadow: 0 0 8px rgba(0, 0, 0, 0.402);
	letter-spacing: 0.05rem;
  color:#fff;
}
.jumbotron-text {
	font-size: 1.25rem;
	line-height: 1.5;
	color:#eee;
}


/* Cookie info
--------------------------------------------------------------------*/

.cookie_banner {
	position: fixed;
	bottom: 0;
	width: 100%;
	z-index:999999;
}

.modal-overlay {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: rgba(0, 0, 0, 0.7);
	z-index: 999998;
}

/* Home
--------------------------------------------------------------------*/


#hero {
	background-image: url('../res/hero.jpg');
}
#hero::before{
	content: "";
	display: block;
	position: absolute;
	top:0;
	left: 0;
	width: 100%;
	height: 100%;
	background: -moz-radial-gradient(center, closest-side, rgba(0,0,0,0.65) 0%, rgba(0,0,0,0) 100%);
	background: -webkit-radial-gradient(center, closest-side, rgba(0,0,0,0.65) 0%,rgba(0,0,0,0) 100%);
	background: radial-gradient(closest-side, rgba(0,0,0,0.65) 0%,rgba(0,0,0,0) 100%);
}
@media (min-width:768px){
	#hero { height: 500px; }
}
@media (min-width:992px){
	#hero { height: 550px; }
}
@media (min-width:1200px){
	#hero { height: 600px; }
}
@media (min-width:1400px){
	#hero { height: 650px; }
}


/* Affitta Giardino (ommadonna, questo è da rifare)
--------------------------------------------------------------------*/

#affittoHero {
  position: relative;
  background-image: url("../res/welcome.jpg");
  background-size: cover;
}
#affittoHero.taverne {
	background-image: url("../res/welcome-taverne.jpg");
}
#affittoHero.hero-host-howto {
	background-image: url("../res/welcome-host-howto.jpg");
	background-position: center;
}
.affittoHomeHero {
	background-size: cover !important;
	background-image: url("../res/hero2.jpg")!important;
	background-position: center bottom;
}
.affittoHomeHero::before {
	background: -moz-linear-gradient(top, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 20%, rgba(0,0,0,0.8) 100%)!important;
	background: -webkit-linear-gradient(top, rgba(0,0,0,0) 0%,rgba(0,0,0,0) 20%,rgba(0,0,0,0.8) 100%)!important;
	background: linear-gradient(to bottom, rgba(0,0,0,0) 0%,rgba(0,0,0,0) 20%,rgba(0,0,0,0.8) 100%)!important;
}
#affittoHero::before{
	content: "";
	display: block;
	position: absolute;
	top:0;
	left: 0;
	width: 100%;
	height: 100%;
  background: -moz-linear-gradient(bottom, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 20%, rgba(0,0,0,0.3) 40%, rgba(0,0,0,0.5) 70%);
  background: -webkit-linear-gradient(bottom, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 20%, rgba(0,0,0,0.3) 40%,rgba(0,0,0,0.5) 70%);
  background: linear-gradient(to top, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 20%, rgba(0,0,0,0.3) 40%,rgba(0,0,0,0.5) 70%);
}
@media (min-width:768px){
	#affittoHero { background-size:cover; }
  #affittoHero::before {
    background: -moz-linear-gradient(-45deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 30%, rgba(0,0,0,0.8) 100%);
    background: -webkit-linear-gradient(-45deg, rgba(0,0,0,0) 0%,rgba(0,0,0,0) 30%,rgba(0,0,0,0.8) 100%);
    background: linear-gradient(135deg, rgba(0,0,0,0) 0%,rgba(0,0,0,0) 30%,rgba(0,0,0,0.8) 100%);
  }
	#affittoForm { position: absolute; top:0; right:0; }
	.affittoHomeHero { background-position: center center; }
}

@media (min-width:992px){
  #affittoHero::before {
    background: -moz-linear-gradient(top, rgba(0,0,0,0) 0%, rgba(0,0,0,0) 20%, rgba(0,0,0,0.8) 100%);
    background: -webkit-linear-gradient(top, rgba(0,0,0,0) 0%,rgba(0,0,0,0) 20%,rgba(0,0,0,0.8) 100%);
    background: linear-gradient(to bottom, rgba(0,0,0,0) 0%,rgba(0,0,0,0) 20%,rgba(0,0,0,0.8) 100%);
  }
}

#playVideo {
	line-height: 1.25;
}

.bignumber {
	display: block;
	font-size: 3rem;
	font-weight: 600;
	padding-right: 1rem;
}
@media (min-width:992px){
	#howto .align-items-center {
		margin-bottom: 5rem;
	}
	#howto .align-items-center:last-child {
		margin-bottom: 2rem
	}
  .bignumber {
    font-size: 6rem;
  }
}

.edit-prop-list .list-group-item {
	cursor: pointer;
}
.edit-prop-list .list-group-hover .list-group-item:hover {
    background-color: #f5f5f5;
}

.help-block.ng-hide {
	max-height: 0;
	transition: max-height 0.5s ease-out;
}
.help-block {
	margin-top:0.25rem;
	max-height: 500px;
	transition: max-height 0.5s ease-in;
	overflow: hidden;
}
/* Google autocomplete */
.pac-item {
	padding: .25rem .5rem .25rem .75rem;
	cursor: pointer;
	color:#888;
	font-size: 0.75rem;
}
.pac-item-query {
	color:#333;
	font-size: 0.875rem;
	padding-right: 0.25rem;
}
.pac-icon {
	display: none !important;
}

#cta { padding-top: 0; }
#cta .container { padding-top: 5rem; border-top: 1px solid #ddd }
.container_with_border { padding-top: 5rem; border-top: 1px solid #ddd }



.faqHero {
  background-image: url("../res/faqHero.jpg") !important;
}
.guidelinesHero {
  background-image: url("../res/guidelinesHero.jpg") !important;
}


/* Recensioni
--------------------------------------------------------------------*/

.reviews { overflow: hidden; }

.reviews__frame {
	position: relative;
	overflow: hidden;
	white-space: nowrap;
	font-size: 0;
}
.reviews__slides {
	margin:0;
	padding: 0;
	list-style: none;
	white-space: nowrap;
}
.review {
  position: relative;
  display: inline-block;
	white-space: normal;
	vertical-align: top;
	padding:0 1rem;
	font-size: 0.9rem;
	line-height: 1.45;
}
.review .material-icons {
	color: #f1891b
}

.review .star-disabled {
	color: #ccc;
}


.reviews__dots {
  margin: 0;
  padding: 0;
  text-align: center;
  margin-top: 10px;
  width: 100%;
}
.reviews__dots li {
    background-color: rgba(0,0,0,0.1);
    border-radius: 1rem;
    display: inline-block;
    height: 0.75rem;
    width: 0.75rem;
    margin: 0 5px;
    cursor: pointer;
  }
.reviews__dots li.active {
    background-color: #2CB469;
}




.prenotazione_item {
	position: relative;
	border-bottom:1px solid #ddd;
}
.prenotazione_item:last-child {
	border:0;
	margin-bottom: 0px !important
}
@media (min-width:768px){
	.prenotazione__date {
		position: absolute;
		top:0;
		right: 15px;
	}
}




/* Immagine account utente
--------------------------------------------------------------------*/
.gavatar{
	color: rgb(255, 255, 255); background-color: #2CB469;
	display: inline-block; font-family: Courier, monospace;
	font-size: 20px; border-radius: 36px; width: 36px; height: 36px; line-height: 36px; margin: 0; text-align: center;
	}




	a.unlink {
		color: inherit;
	}
	a.unlink:hover {
		color: inherit;
	}

	a.unlink-nounderline {
		color: inherit;
	}
	a.unlink-nounderline:hover {
		color: #2CB469;
	}
	a.unlink-nounderline.taverne:hover {
		color: #795548;
	}

	a.unlink-normal {
		color: inherit !important;
		text-decoration: underline !important;
	}
	a.unlink-normal:hover {
		color: #2CB469 !important;
		text-decoration: underline !important;
	}
	a.unlink-normal.taverne:hover {
		color: #795548 !important;
		text-decoration: underline !important;
	}

	a.unlink-green {
		color: #2CB469;
		text-decoration: underline;
	}
	a.unlink-green.taverne {
		color: #795548;
		text-decoration: underline;
	}
	a.unlink-green:hover {
		color: inherit;
		text-decoration: underline;
	}

	a.unlink-hover-only {
		color: inherit !important;
	}
	a.unlink-hover-only:hover {
		text-decoration: underline !important;
	}


button.close {
	position: absolute;
	right: 20px;
	top: 10px;
	cursor: pointer;
}

.close.white {
	opacity: 1;
	color: white;
}



/* Color bounce
--------------------------------------------------------------------*/
.ag_color_bounce {
	-webkit-animation-name: color_bounce; /* Safari 4.0 - 8.0 */
	-webkit-animation-duration: 0.5s; /* Safari 4.0 - 8.0 */
	animation-name: color_bounce;
	animation-duration: 1s;
}

/* Safari 4.0 - 8.0 */
@-webkit-keyframes color_bounce {
	from {background-color: #2CB469;}
}

/* Standard syntax */
@keyframes color_bounce {
	from {background-color: #2CB469;}
}









/* Snackbar
--------------------------------------------------------------------*/
/* The snackbar - position it at the bottom and in the middle of the screen */
#snackbar {
	visibility: hidden; /* Hidden by default. Visible on click */
	min-width: 250px; /* Set a default minimum width */
	margin-left: -125px; /* Divide value of min-width by 2 */
	background-color: #333; /* Black background color */
	color: #fff; /* White text color */
	text-align: center; /* Centered text */
	border-radius: 2px; /* Rounded borders */
	padding: 16px; /* Padding */
	position: fixed; /* Sit on top of the screen */
	z-index: 1; /* Add a z-index if needed */
	left: 50%; /* Center the snackbar */
	bottom: 30px; /* 30px from the bottom */
}

/* Show the snackbar when clicking on a button (class added with JavaScript) */
#snackbar.show {
	visibility: visible; /* Show the snackbar */

/* Add animation: Take 0.5 seconds to fade in and out the snackbar.
However, delay the fade out process for 2.5 seconds */
	-webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
	animation: fadein 0.5s, fadeout 0.5s 2.5s;
}

/* Animations to fade the snackbar in and out */
@-webkit-keyframes fadein {
	from {bottom: 0; opacity: 0;}
	to {bottom: 30px; opacity: 1;}
}

@keyframes fadein {
	from {bottom: 0; opacity: 0;}
	to {bottom: 30px; opacity: 1;}
}

@-webkit-keyframes fadeout {
	from {bottom: 30px; opacity: 1;}
	to {bottom: 0; opacity: 0;}
}

@keyframes fadeout {
	from {bottom: 30px; opacity: 1;}
	to {bottom: 0; opacity: 0;}
}



/* Breadcrumb
--------------------------------------------------------------------*/
.breadcrumb {
	margin-bottom: 0;
	background-color: white;
	border-radius: 0;
}

.breadcrumb-item.active {
	cursor: default;
}

/* Carousel
--------------------------------------------------------------------*/

.carousel-control-prev-icon,
.carousel-control-next-icon {
	width: 2rem;
	height: 2rem;
	background: none;
	font-size: 2rem;
	color:white;
	cursor: pointer;
	background-color: darkslategray;
}

.light-carousel .carousel-control-prev-icon,
.light-carousel .carousel-control-next-icon {
	width: 2rem;
	height: 2rem;
	background: none;
	font-size: 2rem;
	cursor: pointer;
	color: inherit;
}
.light-carousel .carousel-control-prev-icon:hover,
.light-carousel .carousel-control-next-icon:hover {
	background-color: inherit;
}

.carousel-control-prev-icon:hover,
.carousel-control-next-icon:hover {
	background-color: darkslategray;
}

.rn-carousel-indicator span {
	color:white !important;
	text-shadow: 0 3px 12px rgba(0, 0, 0, 0.15);
}.rn-carousel-indicator .active {
	color:#2CB469 !important;
	background-color: initial !important;
}.rn-carousel-indicator.taverne .active {
	color:#795548 !important;
	background-color: initial !important;
}

.carousel-slide-using-background {
	background-size: contain !important;
  background-position: center center !important;
  background-repeat: no-repeat !important;
}




.sticky
{
    position: -webkit-sticky;
    position: sticky;
    top: 80px;
}



li.page-item.active {
	z-index: 1;
}



.badge-agtag {
	height: 40px;
	width: 40px;
}



.ag-paypal {
	height: 2.5em;
	cursor: pointer;
	margin: 0 auto;
	max-width: 100%;
	z-index: 1;
}


.ag-paypal:hover {
	opacity: 0.8;
}


.loading-container {
	background-color:rgba(0,0,0,0.5); 
	position:fixed; 
	top:0;
	left:0;
	right:0;
	bottom:0; 
	z-index:1030;
}
.loading-image {	
	z-index: 1050;
	width: 10em;
	height: 10em;
	position: absolute;
	left: 50%;
	margin-left: -5em;
	top: 50%;
	margin-top: -5em;
}
.loading-percent {
	width: 10em;
	height: 10em;
	position: absolute;
	left: 50%;
	margin-left: -1em;
	top: 50%;
	margin-top: -0.7em;
	color: white;
}

#loading-bar .bar {
	position: absolute;
	top: 68px !important;
	height: 0.25em !important;
	background: rgb(52, 207, 122) !important;
	border-top-right-radius: 0.5em !important;
 	border-bottom-right-radius: 0.5em !important;
}

#loading-bar .peg {
	-moz-box-shadow: white 1px 0 6px 1px !important;
	-ms-box-shadow: white 1px 0 6px 1px !important;
	-webkit-box-shadow: white 1px 0 6px 1px !important;
	box-shadow: white 1px 0 6px 1px !important;
}

.scrollable-menu {
	height: auto;
	max-height: 200px;
	overflow-x: hidden;
}


.ag-btn-pill {
	border-radius: 2em;
}



/* Hack orrendo */
#ag-video:before { 
  display: block; 
  content: " "; 
  margin-top: -75px; 
  height: 75px; 
  visibility: hidden; 
}


.text-underline {
	text-decoration:underline;
}


.md-dialog-container {
	z-index: 1030;
}




.message-check {
	height: 1rem;
}


#backToTopBtn {
	display: none; 
	position: fixed; 
	bottom: 1.5rem; 
	right: 6rem; 
	z-index: 99;
}


.btn-circle {
	box-shadow: 0 3px 12px rgba(0, 0, 0, .15);
	cursor: pointer;
	width: 48px;
	height: 48px;
	padding: 10px 0px;
	border-radius: 24px;
	text-align: center;
	font-size: 12px;
	line-height: 1.42857;
}

.btn-circle .material-icons {
	font-size: 30px;
}

.borderless {
	border: 0;
}

.blockquote {
    padding: .5rem 1rem;
    border-left: .25rem solid #eceeef;
}

.animate {
	transition: all 0.3s;
}


.blockquote {
	font-size: inherit;
}

.clickable {
	cursor: pointer;
}

table.th-no-border thead tr th {
	border: none !important;
}

td .badge {
	font-size: inherit;
}

.ag-fixed-fill {
	position: absolute;
	top: 4rem;
	bottom: 0;
	left: 0;
	right: 0;
}


.bg-faded {
	background-color: #f5f5f5;
}


.fullscreen-div {
	z-index: 1000;
	background-size: contain!important;
    background-repeat: no-repeat!important;
    background-position: center!important;
}

.fixed-fullscreen {
	position: fixed;
	z-index: 1050;
	top: 0; bottom: 0; left: 0; right: 0;
}

#spinnerPercentage {
	text-align: center;
	font-size: 1.5rem;
    z-index: 1050;
    width: 10em;
    color: white;
    height: 10em;
    position: absolute;
    left: 50%;
    margin-left: -5em;
    top: 62%;
	margin-top: -5em;
}


[class*="-taverne "]:not(.text-taverne):not(.navbar-brand-taverne):not([class*="-outline-"]), 
[class$="-taverne"]:not(.text-taverne):not(.navbar-brand-taverne):not([class*="-outline-"]),
.btn-outline-taverne.active, .btn-outline-taverne:hover {
	color: #fff;
	background-color: #795548;
}

[class*="-outline-taverne "] {
	color: #795548;
	border-color: #795548;
}

.btn-taverne {
	border: 0;
}
.text-giardini {
	color: #2CB469 !important;
}
.text-taverne {
	color: #795548 !important;
}

.ag-fade {
	transition: all 0.3s linear;
}

.navbar-brand #logo {
	background-size: contain;
	background-repeat: no-repeat;
	display: inline-block;
	height: 42px;
	width: 42px;
}
.navbar-brand #logo.giardini {
	background-image:url("/res/Logo-AG-v2.svg");
}
.navbar-brand #logo.taverne {
	background-image:url("/res/Logo-AG-v2-taverne.svg");
}

.jumbotron-heading #home_heading small {
	font-size: 60%;
}

/* Terms Of Use
--------------------------------------------------------------------*/
.tou h4, .tou h3, .tou h2, .tou h1 {
	margin-top: 3rem; 
}

.tou ul {
	list-style-type: upper-alpha;
}
.tou ul li {
	padding-top: 2rem; 
}







/* bootstrap switch
--------------------------------------------------------------------*/
.switch input { 
	display:none;
}
.switch {
	display:inline-block;
	width:60px;
	height:30px;
	margin:8px;
	transform:translateY(50%);
	position:relative;
}

.slider {
	position:absolute;
	top:0;
	bottom:0;
	left:0;
	right:0;
	border-radius:30px;
	box-shadow:0 0 0 2px #2CB469, 0 0 4px #2CB469;
	cursor:pointer;
	border:4px solid transparent;
	overflow:hidden;
	 transition:.4s;
}
.slider:before {
	position:absolute;
	content:"";
	width:100%;
	height:100%;
	background:#2CB469;
	border-radius:30px;
	transform:translateX(-30px);
	transition:.4s;
}

input:checked + .slider:before {
	transform:translateX(30px);
	background:#795548;
}
input:checked + .slider {
	box-shadow:0 0 0 2px #795548,0 0 2px #795548;
}














  .text-normal {
	  font-style: normal;
	  font-weight: normal;
  }

  .text-1 {
	  font-size: 1rem;
  }




.superhost-badge {
	position: absolute;
	z-index: 999;
	left: -10px;
}



.stripe-element-center {
	display:flex;
	flex-direction:column;
	justify-content:center;
}

.btn:disabled {
	opacity: 0.5;
	box-shadow: 0 0 0 1px rgba(42,47,69, 0.1), 0 2px 5px 0 rgba(42,47,69, 0.06), 0 1px 1px 0 rgba(0,0,0, 0.04), 0 1px 2px 0 rgba(0,0,0, 0.04);
}

.btn-none:disabled,
.btn-none:disabled *{
	opacity: 0.5;
	cursor: default!important;
}

.btn:disabled * {
	cursor: default!important;
}


.btn-none {
	border: none;
	background: none;
}

.loader {
	display: inline-block;
	vertical-align: middle;
	height: 1.5rem;
	width: 1.5rem;
	background-image: url(/res/spinner.svg);
	background-size: contain;
}

.loader ~ span {
	vertical-align: middle;
}

.loader-paypal {
	display: block;
	position: absolute;
	z-index: 2;
    margin-top: 0.5rem;
    margin-left: 0.5rem;
}


.material-icons-sm {
	font-size: 1em;
}

.banner-emoji {
	height: 1.5rem;
}

.ag-hint {
	font-size: 12px;
}

.text-del {
	text-decoration: line-through;
}

.profile-pic {
	height: 36px;
	width: 36px;
	background-size: cover;
	background-position: center;
	border-radius: 50%;
}

.profile-pic-md {
	height: 60px !important;
	width: 60px !important;
}

.profile-pic-mdlg {
	height: 80px !important;
	width: 80px !important;
}

.profile-pic-lg {
	height: 150px !important;
	width: 150px !important;
}

.green-badge {
	height: 2rem;
	position: absolute;
	z-index: 1;
	top: 0px;
	right: 40px;
}

.insurance-badge {
	height: 2rem;
	position: absolute;
	z-index: 1;
	top: 0px;
	right: 5px;
}

.insurance-badge-normal {
	height: 2rem;
}

.md-calendar-date.md-calendar-date-disabled {
	text-decoration: line-through;
	color: #dc3545;
}

.md-step md-step-label-wrapper::before {
	background: #e69900 !important;
}

.md-step.md-disabled md-step-label-wrapper::before {
	background: rgba(0, 0, 0, 0.25) !important;
}

.md-step.md-active md-step-label-wrapper::before, .md-step.md-success md-step-label-wrapper::before {
	background: rgba(0, 0, 0, 0.25) !important;
	border: 2px solid #e69900 !important;
	color: #e69900 !important;
	width: 30px !important;
	height: 30px !important;
	border-radius: 50% !important;
	background: none !important;
}
.md-step.md-complete md-step-label-wrapper::before {
	color: white !important;
}

.md-step.md-complete md-step-label-wrapper::before {
	background: #2CB469 /*url('data:image/svg+xml;utf8,<svg fill="rgba(255,255,255,0.87)" height="16" viewBox="0 0 24 24" width="16" xmlns="http://www.w3.org/2000/svg"><path d="M0 0h24v24H0z" fill="none"/><path d="M9 16.17L4.83 12l-1.42 1.41L9 19 21 7l-1.41-1.41z"/></svg>') no-repeat center center*/ !important;
	content: attr(stepindex) !important;
}

.md-step.md-complete.md-active md-step-label-wrapper::before {
	border: 2px solid #2CB469 !important;
}

.d-list-item {
	display: list-item !important;
}

.bg-mark {
	background-color: #fcf8e3;
}

.navbar-toggler {
	border-color: rgba(0, 0, 0, 0) !important;
}

.form-group.required label:after {
	content:"*";
	color:red;
  }

.md-datepicker-input-container {
	border-bottom: none;
}

.home-search-form {
	background: rgba(255, 255, 255, 0);
	border-radius: 16px;
	box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
	backdrop-filter: blur(10px);
	-webkit-backdrop-filter: blur(10px);
	padding-left: 1.5rem !important;
	padding-right: 1.5rem !important;
	padding-top: 1rem !important;
	padding-bottom: 1rem !important;
}

.md-datepicker-home .md-datepicker-input-container {
	border-bottom: none;
    top: -30%;
    left: -20%;
	width: 75%;
}

.md-datepicker-home .md-datepicker-button {
    top: -30%;
    left: -10%;
}

.uppercase {
	text-transform: uppercase;
}

.was-validated .invalid-feedback-force .invalid-feedback {
	display: block;
}

.was-validated .invalid-feedback-force>.form-control {
	border-color: #dc3545;
}

.extended-fab {
	position: fixed;
	bottom: 16px;
	right: 16px;
	height: 48px;
	padding-left: 12px;
	padding-right: 12px;
	border-radius: 24px;
	z-index: 20000;
}
.extended-fab>.material-icons {
	width: 20px;
	padding-right: 24px;
}
.extended-fab>span {
	padding-left: 12px;
	padding-right: 8px;
	-webkit-animation: flexGrow 500ms ease forwards;
	-o-animation: flexGrow 500ms ease forwards;
	animation: flexGrow 500ms ease forwards;
}
.extended-fab>* {
	vertical-align: middle;
}

.btn-raised {
	box-shadow: 0 2px 2px 0 rgba(0,0,0,.14), 0 3px 1px -2px rgba(0,0,0,.2), 0 1px 5px 0 rgba(0,0,0,.12);
}

.pac-container {
	z-index: 1021;
}